- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# lib/depends.h File Reference

Structures used for dependency checking. More...

`#include <header.h>`

Go to the source code of this file.

## Data Structures
struct | tsortInfo_s
| Dependncy ordering information. More...
struct | availablePackage
| Info about a single package to be installed. More...
struct | availableIndexEntry
| A single available item (e.g. More...
struct | availableIndex
| Index of all available items. More...
struct | fileIndexEntry
| A file to be installed/removed. More...
struct | dirInfo_s
| A directory to be installed/removed. More...
struct | availableList_s
| Set of available packages, items, and directories. More...
struct | transactionElement_s
| A single package instance to be installed/removed atomically. More...
struct | rpmTransactionSet_s
| The set of packages to be installed/removed atomically. More...
struct | problemsSet_s
| Problems encountered while checking dependencies. More...
## Defines
#define | tsi_count tsi_u.count
#define | tsi_suc tsi_u.suc
## Typedefs
typedef transactionElement_s * | transactionElement
typedef tsortInfo_s * | tsortInfo
typedef dirInfo_s * | dirInfo
| A directory to be installed/removed.
typedef availableList_s * | availableList
| Set of available packages, items, and directories.
typedef problemsSet_s * | problemsSet
| Problems encountered while checking dependencies.
## Functions
int | headerMatchesDepFlags (Header h, const char *reqName, const char *reqEVR, int reqFlags)
| Compare package name-version-release from header with dependency, looking for overlap.

## Detailed Description

Structures used for dependency checking.

Definition in file depends.h.

## Define Documentation

#define tsi_count tsi_u.count

Definition at line 22 of file depends.h.

#define tsi_suc tsi_u.suc

Definition at line 23 of file depends.h.

## Typedef Documentation

typedef struct transactionElement_s* transactionElement

Definition at line 11 of file depends.h.

typedef struct tsortInfo_s* tsortInfo

Definition at line 12 of file depends.h.